## asciinema 0.9.8

=== Makefile ===
VERSION=`python -c "import asciinema; print(asciinema.__version__)"`

test: test-unit test-integration

test-unit:
	nosetests

test-integration:
	tests/integration.sh

release: test tag push

release-test: test push-test

tag:
	git tag | grep "v$(VERSION)" && echo "Tag v$(VERSION) exists" && exit 1 || true
	git tag -s -m "Releasing $(VERSION)" v$(VERSION)
	git push --tags

push:
	python setup.py sdist upload -r pypi

push-test:
	python setup.py sdist upload -r test

.PHONY: test test-unit test-integration release release-test tag push push-test

=== debian/changelog ===
asciinema (0.9.8-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 03:22:13 +0000

asciinema (0.9.8-1) unstable; urgency=low

  * Initial release. (Closes: #740379)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 28 Feb 2014 18:15:02 -0300

=== debian/control ===
Source: asciinema
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 9), python3-setuptools, dh-python, python3-all
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/asciinema.git
Vcs-Git: git://anonscm.debian.org/collab-maint/asciinema.git
Homepage: http://asciinema.org

Package: asciinema
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: ${python3:Recommends}
Description: Record and share your terminal sessions, the right way
 Forget screen recording apps and blurry video. Enjoy a lightweight,
 purely text based approach to terminal recording.
 .
 This package provides a command line recorder for asciinema.org service
 or other instance of asciinema server.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with python3


override_dh_installdocs:
	dh_installdocs
	dh_installdocs config.example

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/asciinema-$1\.tar\.gz/ \
  https://github.com/sickill/asciinema/releases .*/v?(\d\S*)\.tar\.gz

## asciinema 1.3.0

=== debian/changelog ===
asciinema (1.3.0-2) unstable; urgency=medium

  * Correct the license from MIT to GPL-3+ (Closes: #840134).
  * Relicense the debian directory to GPL-3+
  * Use upstream manpage
  * Run the test suite, as it does not get run by default
  * Store the generated tarball using pristine-tar

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 11 Oct 2016 09:28:07 +0800

asciinema (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Section changed to utils. (Closes: #832185)
  * Drop patch uploads-over-https.patch
  * Increase standars version to 3.9.8, no changes were needed
  * Fix lintian warnings on debian/copyright
  * Use secure URL for Vcs-* fields

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 29 Jul 2016 17:07:04 +0800

asciinema (0.9.8-2) unstable; urgency=medium

  * Now uploads are done over https by default. (Closes: #794298).

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 04 Aug 2015 00:08:03 +0800

=== debian/control ===
Source: asciinema
Section: utils
Priority: optional
Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 9), python3-setuptools, dh-python, python3-all, python3-nose
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/asciinema.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/asciinema.git
Homepage: https://asciinema.org

Package: asciinema
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: ${python3:Recommends}
Description: Record and share your terminal sessions, the right way
 Forget screen recording apps and blurry video. Enjoy a lightweight,
 purely text based approach to terminal recording.
 .
 This package provides a command line recorder for asciinema.org service
 or other instance of asciinema server.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	$(MAKE) test-unit

clean:
	dh_clean asciinema.egg-info/ asciinema/commands/__pycache__/ tests/__pycache__/ asciinema/__pycache__/ .pybuild/

## asciinema 1.4.0

=== debian/changelog ===
asciinema (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Add gen-orig-gz target to debian/rules
  * Change debian/gbp.conf to use gz

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sat, 22 Jul 2017 16:25:29 +0800

=== debian/rules ===
#!/usr/bin/make -f

DEBVERS         ?= $(shell dpkg-parsechangelog -SVersion)
VERSION         ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
DEBPKGNAME      ?= $(shell dpkg-parsechangelog -SSource)
GIT_TAG         ?= $(shell echo '$(VERSION)' | sed -e 's/~/_/')

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	$(MAKE) test-unit

clean:
	dh_clean asciinema.egg-info/ asciinema/commands/__pycache__/ tests/__pycache__/ asciinema/__pycache__/ .pybuild/

# taken from openstack-pkg-tools
gen-orig-gz:
	git tag -v $(GIT_TAG) || true
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
		git archive --prefix=$(DEBPKGNAME)-$(VERSION)/ v$(GIT_TAG) | gzip >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## asciinema 2.0.0

=== debian/changelog ===
asciinema (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Increase standards version to 4.1.3, no changes were needed
  * Raise the compat level to 11
  * Use secure URLs in the copyright file, update years

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 16 Feb 2018 02:58:31 +0000

asciinema (1.4.0-2) unstable; urgency=medium

  * Add missing dependency on python3-pkg-resources (Closes: #882970)
  * Increase standards version to 4.1.2, no changes were needed
  * Use dpkg helpers to determine various variables used in debian/rules
  * Add upstream GPG public key
  * Now gen-orig-gz target in debian/rules verifies the signed tags
  * Update VCS-* fields to use salsa.debian.org

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 26 Dec 2017 10:17:58 +0800

=== debian/control ===
Source: asciinema
Section: utils
Priority: optional
Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 11), python3-setuptools, dh-python, python3-all, python3-nose
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/asciinema
Vcs-Git: https://salsa.debian.org/debian/asciinema.git
Homepage: https://asciinema.org

Package: asciinema
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
Recommends: ${python3:Recommends}
Description: Record and share your terminal sessions, the right way
 Forget screen recording apps and blurry video. Enjoy a lightweight,
 purely text based approach to terminal recording.
 .
 This package provides a command line recorder for asciinema.org service
 or other instance of asciinema server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	$(MAKE) test-unit

clean:
	dh_clean asciinema.egg-info/ asciinema/commands/__pycache__/ tests/__pycache__/ asciinema/__pycache__/ .pybuild/

# taken from openstack-pkg-tools
gen-orig-gz:
	git tag -v v$(DEB_VERSION_UPSTREAM)
	if [ ! -f ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz ] ; then \
		git archive --prefix=$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/ v$(GIT_TAG) | gzip >../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz ; \
	fi

## asciinema 2.0.1

=== debian/changelog ===
asciinema (2.0.1-2) unstable; urgency=medium

  * New maintainer (Closes: #903448)
  * Bump Standards-Version to 4.3.0, no changes required
  * debian/watch: Enable crytpographic verification

 -- Josue Ortega <josue@debian.org>  Sat, 29 Dec 2018 08:24:45 -0600

asciinema (2.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #902746)
  * Disable failing tests
  * Run tests conditionally if set on DEB_BUILD_OPTIONS's value

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 09 Jul 2018 21:51:17 +0800

## asciinema 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-VERSION=`python -c "import asciinema; print(asciinema.__version__)"`
+NAME=asciinema
+VERSION=`python3 -c "import asciinema; print(asciinema.__version__)"`
 
 test: test-unit test-integration
 
@@ -18,9 +19,11 @@
 	git push --tags
 
 push:
-	python setup.py sdist upload -r pypi
+	python3 setup.py sdist upload -r pypi
 
 push-test:
-	python setup.py sdist upload -r test
+	python3 setup.py sdist upload -r pypitest
+
+release: test tag push
 
 .PHONY: test test-unit test-integration release release-test tag push push-test

=== man/Makefile ===
asciinema.1: asciinema.1.md
	pandoc asciinema.1.md -s -t man -o asciinema.1

=== debian/changelog ===
asciinema (2.0.2-1) unstable; urgency=medium

  * New upstream release (2.0.2-1):
    - Update debian/patches.

 -- Josue Ortega <josue@debian.org>  Sun, 20 Jan 2019 18:51:50 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: asciinema
 Section: utils
 Priority: optional
-Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
+Maintainer: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper (>= 11), python3-setuptools, dh-python, python3-all, python3-nose
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/asciinema
 Vcs-Git: https://salsa.debian.org/debian/asciinema.git
 Homepage: https://asciinema.org

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) test-unit
+endif
 
 clean:
 	dh_clean asciinema.egg-info/ asciinema/commands/__pycache__/ tests/__pycache__/ asciinema/__pycache__/ .pybuild/

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/asciinema-$1\.tar\.gz/.\
  https://github.com/sickill/asciinema/releases .*/v?(\d\S*)\.tar\.gz

## asciinema 2.1.0

=== Makefile ===
--- 
+++ 
@@ -16,14 +16,16 @@
 tag:
 	git tag | grep "v$(VERSION)" && echo "Tag v$(VERSION) exists" && exit 1 || true
 	git tag -s -m "Releasing $(VERSION)" v$(VERSION)
-	git push --tags
+	git push origin v$(VERSION)
 
 push:
-	python3 setup.py sdist upload -r pypi
+	python3 -m pip install --user --upgrade --quiet twine
+	python3 setup.py sdist bdist_wheel
+	python3 -m twine upload dist/*
 
 push-test:
-	python3 setup.py sdist upload -r pypitest
-
-release: test tag push
+	python3 -m pip install --user --upgrade --quiet twine
+	python3 setup.py sdist bdist_wheel
+	python3 -m twine upload --repository testpypi dist/*
 
 .PHONY: test test-unit test-integration release release-test tag push push-test

=== debian/changelog ===
asciinema (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Bump package Standards-Version to 4.6.0. No changes required
  * Add myself to Uploaders

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 15 Oct 2021 18:37:03 +0000

asciinema (2.0.2-2) unstable; urgency=medium

  * Update package to use debhelper-compat ( = 13)
  * debian/control: Document Rules-Requires-Root field as no
  * debian/watch: Bump file standard version to 4
  * Bump package Standards-Version to 4.5.1. No changes required
  * debian/patches: Document Forwarded field as not needed

 -- Josue Ortega <josue@debian.org>  Fri, 01 Jan 2021 18:25:52 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper (>= 11), python3-setuptools, dh-python, python3-all, python3-nose
-Standards-Version: 4.3.0
+Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
+Build-Depends: debhelper-compat (= 13), python3-setuptools, dh-python, python3-all, python3-nose
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/asciinema
 Vcs-Git: https://salsa.debian.org/debian/asciinema.git
 Homepage: https://asciinema.org

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/asciinema-$1\.tar\.gz/.\
  https://github.com/sickill/asciinema/releases .*/v?(\d\S*)\.tar\.gz

## asciinema 2.2.0

=== Makefile ===
NAME    := asciinema
VERSION := $(shell python3 -c "import asciinema; print(asciinema.__version__)")

VIRTUAL_ENV ?= .venv

.PHONY: test
test: test.unit test.integration

.PHONY: test.unit
test.unit:
	pytest

.PHONY: test.integration
test.integration:
	tests/integration.sh

.PHONY: test.distros
test.distros:
	tests/distros.sh

.PHONY: release
release: test tag push

.PHONY: release.test
release.test: test push.test

.PHONY: .tag.exists
.tag.exists:
	@git tag \
		| grep -q "v$(VERSION)" \
		&& echo "Tag v$(VERSION) exists" \
		&& exit 1

.PHONY: tag
tag: .tag.exists
	git tag -s -m "Releasing $(VERSION)" v$(VERSION)
	git push origin v$(VERSION)

.PHONY: .venv
.venv:
	python3 -m venv $(VIRTUAL_ENV)

.PHONY: .pip
.pip: .venv
	. $(VIRTUAL_ENV)/bin/activate \
		&& python3 -m pip install --upgrade build twine

build: .pip
	. $(VIRTUAL_ENV)/bin/activate \
		&& python3 -m build .

install: build
	. $(VIRTUAL_ENV)/bin/activate \
		&& python3 -m pip install .

.PHONY: push
push: .pip build
	python3 -m twine upload dist/*

.PHONY: push.test
push.test: .pip build
	python3 -m twine upload --repository testpypi dist/*


.PHONY: clean
clean:
	rm -rf dist *.egg-info

clean.all: clean
	find .  \
		-type d \
		-name __pycache__ \
		-o -name .pytest_cache \
		-o -name .mypy_cache \
		-exec rm -r "{}" +

=== debian/changelog ===
asciinema (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * [e89021] Update copyright years
  * [2b9a2e] Use the new pybuild plugin to build packages using a pyproject file
  * [322bfa] Upstream has moved from nosetest to pytest,
    change the package accordingly.
  * [943b84] Update the d/watch file to version 4 and
    validate the signature of the git tag
  * [d663bc] Update standards version
  * [732ec6] Install docs
  * [140513] Build more verbosely
  * [9b8514] Do not build the package as root
  * [6d2572] Add an upstream metadata file
  * [a858cd] Use debhelper compat level 13

 -- gustavo panizzo <gfa@zumbi.com.ar>  Thu, 19 May 2022 23:01:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: asciinema
 Section: utils
 Priority: optional
-Maintainer: Josue Ortega <josue@debian.org>
-Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
-Build-Depends: debhelper-compat (= 13), python3-setuptools, dh-python, python3-all, python3-nose
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
+Build-Depends: debhelper-compat (= 13), python3-setuptools, pybuild-plugin-pyproject, python3-all, dh-python, python3-pytest
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/debian/asciinema
 Vcs-Git: https://salsa.debian.org/debian/asciinema.git
 Homepage: https://asciinema.org
+Rules-Requires-Root: no
 
 Package: asciinema
 Architecture: all

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://github.com/asciinema/asciinema.git refs/tags/v([\d\.]+)

## asciinema 2.3.0

=== debian/changelog ===
asciinema (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * [c44709] Update standards version

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 02 Aug 2023 00:01:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
 Build-Depends: debhelper-compat (= 13), python3-setuptools, pybuild-plugin-pyproject, python3-all, dh-python, python3-pytest
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/asciinema
 Vcs-Git: https://salsa.debian.org/debian/asciinema.git
 Homepage: https://asciinema.org

## asciinema 2.4.0

=== Makefile ===
--- 
+++ 
@@ -55,11 +55,13 @@
 
 .PHONY: push
 push: .pip build
-	python3 -m twine upload dist/*
+	. $(VIRTUAL_ENV)/bin/activate \
+	    && python3 -m twine upload dist/*
 
 .PHONY: push.test
 push.test: .pip build
-	python3 -m twine upload --repository testpypi dist/*
+	. $(VIRTUAL_ENV)/bin/activate \
+	    && python3 -m twine upload --repository testpypi dist/*
 
 
 .PHONY: clean

=== debian/changelog ===
asciinema (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * [26d67b] Update copyright years
  * [6fcd0e] Add back Josue as uploader

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 08 Nov 2023 17:52:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
+Uploaders: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper-compat (= 13), python3-setuptools, pybuild-plugin-pyproject, python3-all, dh-python, python3-pytest
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/asciinema

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,15 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=pybuild --verbose --with python3
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) test-unit
+	$(MAKE) test.unit
 endif
 
 clean:
-	dh_clean asciinema.egg-info/ asciinema/commands/__pycache__/ tests/__pycache__/ asciinema/__pycache__/ .pybuild/
+	dh_clean asciinema.egg-info/ asciinema/commands/__pycache__/ tests/__pycache__/ asciinema/__pycache__/ .pybuild/ pybuild/ .mypy_cache/
 
 # taken from openstack-pkg-tools
 gen-orig-gz:
